List Charge Item Sets
get
/public/v1/charge-item-setssortstringSort the results. Prefix with '-' for descending. One of: name, reference.
Example:namepage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of ChargeItemSetResource
dataobject[]required▶Show 6 child attributesHide child attributes
idstringrequiredExample:a1b2c3d4-e5f6-47a8-9b0c-1d2e3f4a5b6creferencestringrequiredExample:SC-SET-01namestringrequiredExample:Standard Support Coordination Setcharge_rate_patternstringrequiredExample:variable_weekdaygst_codestring | nullrequiredExample:P2archived_atstring | nullrequired
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error